Bug 26427 - Commenting out code with a block comment syntax colors the remaining buffer as a comment.
Summary: Commenting out code with a block comment syntax colors the remaining buffer a...
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: F# Add-in (show other bugs)
Version: 5.7
Hardware: PC Mac OS
: Normal normal
Target Milestone: master
Assignee: Dave Thomas
URL:
Depends on:
Blocks:
 
Reported: 2015-01-26 14:57 UTC by Marc Butler
Modified: 2017-10-05 15:31 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Marc Butler 2015-01-26 14:57:17 UTC
Description of Problem:

When commenting out a section of code with a F# block comment i.e. (* ... *) the remainder of the buffer is colored as if is a comment. Only removing the block comment will restore syntax coloring.

Steps to reproduce the problem:
1. Create a new F# console program.
2. Add syntactically correct F# code to Program.fs.
3. Comment out a portion of code using F# block comment (* ... *) before the end of the program. (Note: this should leave a syntactically correct F# program.)

Actual Results:
Entire buffer from beginning of block comment to end of buffer will be colored as a comment.

Expected Results:
Only the block of code commented out should be colored as a comment.

How often does this happen? 
100% of the time.

Additional Information:
Default syntax coloring settings.
Comment 1 Rajneesh Kumar 2015-01-29 08:12:39 UTC
I have checked this issue and able to reproduce this. To reproduce this issue I have followed the steps and instruction provided in bug description. 

I observed that after comment out a portion of code using F# block comment (* ... *), entire buffer from beginning of block comment to end of buffer will be coloured as a comment. Please refer the screencast : http://www.screencast.com/t/Jhws7vNI7yY

Ide Logs: https://gist.github.com/Rajneesh360Logica/2a899cbc35e05b95d4b3

Environment Info:

=== Xamarin Studio ===

Version 5.7.1 (build 15)
Installation UUID: 011d70a5-dede-428b-ab04-ef451c2e539d
Runtime:
	Mono 3.12.0 ((detached/a813491)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 312000068

=== Xamarin.Android ===

Version: 4.20.0.28 (Business Edition)
Android SDK: /Users/MM/Desktop/android-sdk-macosx
	Supported Android versions:
		2.1    (API level 7)
		2.2    (API level 8)
		2.3    (API level 10)
		3.1    (API level 12)
		4.0    (API level 14)
		4.0.3  (API level 15)
		4.1    (API level 16)
		4.2    (API level 17)
		4.3    (API level 18)
		4.4    (API level 19)
		4.4.87 (API level 20)
		5.0    (API level 21)
Java SDK: /usr
java version "1.7.0_65"
Java(TM) SE Runtime Environment (build 1.7.0_65-b17)
Java HotSpot(TM) 64-Bit Server VM (build 24.65-b04, mixed mode)

=== Apple Developer Tools ===

Xcode 6.1 (6604)
Build 6A1052d

=== Xamarin.iOS ===

Version: 8.6.1.23 (Business Edition)
Hash: 5c4bf93
Branch: 
Build date: 2015-01-27 17:37:50-0500

=== Xamarin.Mac ===

Version: 1.12.0.4 (Business Edition)

=== Build Information ===

Release ID: 507010015
Git revision: ce24e991948c7f3d88b0194a14fc1996d848ef51
Build date: 2015-01-26 16:42:20-05
Xamarin addins: 6895e3222bfa6910524708aa0633ff3db99bc3a0

=== Operating System ===

Mac OS X 10.9.5
Darwin MacMini.local 13.4.0 Darwin Kernel Version 13.4.0
    Sun Aug 17 19:50:11 PDT 2014
    root:xnu-2422.115.4~1/RELEASE_X86_64 x86_64
Comment 2 Dave Thomas 2015-01-29 13:01:07 UTC
Fixed in fsharpbinding master